Subject: Photos of Coz
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 16 Feb 2000 01:35:00 -0800 (PST)

Nice job on the photos.   Really makes me realize how drunk I was at certain 
times.  The good thing is that the "Dude" I met in Joe's and I are now pen 
pals and he will be coming to Houston to visit very soon.  Maybe he was my 
long lost brother.  I am making a phone call to my Mom right now too see if 
she has anything she wants to explain to me.